Bug 1291861 - Catalog Item : Editing a catalog item after deleting provider shows error
Summary: Catalog Item : Editing a catalog item after deleting provider shows error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.5.5
Assignee: lgalis
QA Contact: Shveta
URL:
Whiteboard: service:catalog
Depends On: 1210541
Blocks: 1261968
TreeView+ depends on / blocked
 
Reported: 2015-12-15 18:11 UTC by John Prause
Modified: 2019-09-12 09:34 UTC (History)
10 users (show)

Fixed In Version: 5.5.5.2
Doc Type: Bug Fix
Doc Text:
In a previous CloudForms version, editing a catalog item after deleting a provider resulted in an error. The error was raised during a check by miq_provision_virt_workflow.rb, which then prevented the user interface from loading the workflow. The code now checks an object's existence before calling a method on it and catalog items can be edited successfully.
Clone Of: 1210541
Environment:
Last Closed: 2016-07-26 15:30:48 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:
sshveta: automate_bug-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1488 normal SHIPPED_LIVE CFME 5.5.5 bug fixes and enhancement update 2016-07-26 19:28:27 UTC

Comment 5 Shveta 2016-07-06 23:12:56 UTC
Still see the error in 5.5.5.0.20160628144838_629f93b

Comment 7 Shveta 2016-07-07 21:34:42 UTC
Hi , 

Please check https://10.16.5.163.
Catalog name "edit_catalog" .
Click on it to see the error .

Thanks ,
Shveta

Comment 11 Shveta 2016-07-15 18:44:47 UTC
Fixed .
verified in 5.5.5.2.20160712144556_629f93b

Comment 13 errata-xmlrpc 2016-07-26 15:30:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1488.html


Note You need to log in before you can comment on or make changes to this bug.